/***************************************
	Auteur : Pierre Aubert
	Mail : aubertp7@gmail.com
	Licence : CeCILL-C
****************************************/

#include <iostream>

#include "accord_shadok.h"

///Test the accord_shadok function :
/**	@return true on success, false otherwise
*/
bool testAccordShadok(){

	bool b(true);

	b &= accord_shadok("shadok", 1lu) == "shadok";

	b &= accord_shadok("shadok", 2lu) == "shadoks";

	std::cout << "testAccordShadok : b = " << b << std::endl;

	return b;
}

int main(int argc, char** argv){

	bool b(testAccordShadok());

	std::cout << "final b = " << b << std::endl;

	return b - 1;
}

