/***************************************
	Auteur : Pierre Aubert
	Mail : aubertp7@gmail.com
	Licence : CeCILL-C
****************************************/

#include "accord_shadok.h"

///Accord a word by respect of its quantity
/**	@param name : name to be accored (or chord)
 * 	@param nbName : number of name
 * 	@return accorded string (with a 's' if necessary)
*/
std::string accord_shadok(const std::string & name, size_t nbName){

	if(nbName <= 1lu){
		return name;
	}else{
		return name + "s";
	}

}

